//ATtiny412 node 1

#include <SoftwareSerial.h>
SoftwareSerial mySerial(2, 3); //RX, TX
int v = 0;
int nodeid = 2; //Node Identification

#define led 4

void setup() {
  mySerial.begin(115200); //initialize serial communications
  pinMode(led, OUTPUT); // led
}

void loop() {
  while (mySerial.available () == 0 ) {} //while serial is 0
  v = mySerial.parseInt();
  mySerial.println(v);
  if (v == nodeid)    //If the value of v equals the identification of the node
  {
    digitalWrite(led, HIGH);
    delay(200);
    digitalWrite(led, LOW);
    delay(200);
  }
  else
  {
    digitalWrite(led, LOW);

  }
}
